Package com.collibra.dgc.core.api.dto.meta.path

# Class PathIntermediateNodeRequest

Object
PathIntermediateNodeRequest

All Implemented Interfaces:
  `Serializable`

public class PathIntermediateNodeRequest extends Object implements Serializable
Specifies the details for a Path Graph intermediate node.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `PathIntermediateNodeRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PathIntermediateNodeRequest()`
  `PathIntermediateNodeRequest(String name, List<@NotNull PathEdgeRequest> outgoingEdges, PathNodeFilterRequest filter)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PathIntermediateNodeRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `PathNodeFilterRequest`
  `getFilter()`
  `String`
  `getName()`
  `List<@NotNull PathEdgeRequest>`
  `getOutgoingEdges()`
  `int`
  `hashCode()`
  `void`
  `setFilter(PathNodeFilterRequest filter)`
  `void`
  `setName(String name)`
  `void`
  `setOutgoingEdges(List<@NotNull PathEdgeRequest> outgoingEdges)`
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PathIntermediateNodeRequest

    public PathIntermediateNodeRequest()

  - ### PathIntermediateNodeRequest

    public PathIntermediateNodeRequest(String name, List<@NotNull PathEdgeRequest> outgoingEdges, PathNodeFilterRequest filter)

- ## Method Details

  - ### builder

    public static PathIntermediateNodeRequest.Builder builder()

  - ### getName

    public String getName()

  - ### getOutgoingEdges

    public List<@NotNull PathEdgeRequest> getOutgoingEdges()

  - ### getFilter

    public PathNodeFilterRequest getFilter()

  - ### setName

    public void setName(String name)

  - ### setOutgoingEdges

    public void setOutgoingEdges(List<@NotNull PathEdgeRequest> outgoingEdges)

  - ### setFilter

    public void setFilter(PathNodeFilterRequest filter)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`